Bug 120666 - IBM's 1.4.1 Java plugin hangs Mozilla on 2.1AS
IBM's 1.4.1 Java plugin hangs Mozilla on 2.1AS
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mozilla (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 16:01 EDT by Thomas Fitzsimmons
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 09:28:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2004-04-12 16:01:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
The plugin from IBMJava2's 1.4.1 SR2 release (libjavaplugin_oji.so)
causes Mozilla to hang while loading an applet-bearing page.


Version-Release number of selected component (if applicable):
IBMJava2-1.4.1

How reproducible:
Always

Steps to Reproduce:
1. install IBMJava2-JRE-1.4.1-12
2. run mozilla
3. visit a page that contains an applet
    

Actual Results:  Mozilla hangs

Expected Results:  Applet should display properly

Additional info:

I expected the old version of the Java plugin to work on a 2.1AS
system.   The 1.3.1 libjavaplugin_oji.so works fine, but the 1.4.1
libjavaplugin_oji.so causes the described behaviour.  Any ideas?

Test IBMJava2-JRE packages are available in:

/mnt/redhat/beehive/comps/dist/2.1ES-scratch/IBMJava2-JRE/1.4.1-12/
Comment 1 Christopher Blizzard 2004-04-12 16:11:51 EDT
compiler whackage?
Comment 2 Thomas Fitzsimmons 2004-04-13 11:50:09 EDT
Do you have a 2.1AS machine you could test this on?  I want to make
sure it's not a problem with my test machine.
Comment 3 Corey T 2004-05-26 00:26:45 EDT
I dont believe it's a problem with the above packages.  I am also
getting hangs in Mozilla that came with Fedora Core 2 and also with
0.8 release of Firefox.  I do not have this issue with the KDE browser
konqueror though.  I do however believe it may be any embedded java or
even a scheduler problem as I do not see this on a Fedora Core 1
machine at all using the same versions of the software.  And I also do
not recall this happening in Fedora Core 2 Test 3 at except the last
Kernel update.

Note You need to log in before you can comment on or make changes to this bug.